Page MenuHomePhabricator

apt-get update broken on jessie: jessie-updates and jessie-backports removed by Debian
Closed, ResolvedPublic

Description

On jessie hosts apt-get update is failing to download some indices due to 404 Not Found, in particular:

jessie-updates/main Sources
jessie-updates/contrib Sources
jessie-updates/non-free Sources
jessie-updates/main amd64 Packages
jessie-updates/contrib amd64 Packages
jessie-updates/non-free amd64 Packages
jessie-backports/main Sources
jessie-backports/contrib Sources
jessie-backports/non-free Sources
jessie-backports/main amd64 Packages
jessie-backports/contrib amd64 Packages
jessie-backports/non-free amd64 Packages

apt-get update ends with the usual error:

E: Some index files failed to download. They have been ignored, or old ones used instead.

This seems to be due because Debian removed those upstream, from the topic in #debian:

Oldstable: Debian Jessie, jessie-updates and jessie-backports REMOVED 2019-03-24

A way to keep track of them is to look at the list of hosts in Debmonitor and sort by Last Update (although it might include some additional few "broken" host):
https://debmonitor.wikimedia.org/hosts/

Event Timeline

Volans created this task.Mar 26 2019, 10:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2019, 10:01 PM
Volans renamed this task from jessie-updates and jessie-backports removed by Debian to apt-get update broken on jessie: jessie-updates and jessie-backports removed by Debian.Mar 26 2019, 10:01 PM
Volans triaged this task as High priority.

This also affects package_builder role on boron when trying to build packages for jessie-backports

jbond claimed this task.Mar 27 2019, 9:58 AM

Change 499453 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: Remove unsued pins

https://gerrit.wikimedia.org/r/499453

jbond added a comment.EditedMar 27 2019, 1:23 PM

once the jessie-backport repos has been remove i suggest running the following on cumin

sudo cumin -m async 'F:lsbdistcodename = jessie' 'rm -f $(grep -l "release a=jessie-backports" /etc/apt/preferences.d/*) /etc/apt/sources.list.d/debian-backports.list' 'sed -i '/jessie-updates/d' /etc/apt/sources.list' 'apt-get update'

i have already checked the above sed doesn't remove two much with the following

sudo cumin 'F:lsbdistcodename = jessie' 'grep jessie-updates /etc/apt/sources.list

Change 499505 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: warn users if the try to use backports on jessie

https://gerrit.wikimedia.org/r/499505

This also affects package_builder role on boron when trying to build packages for jessie-backports

FYI I have worked around this today to be able to build rsyslog using jessie-backports with this hook (/var/cache/pbuilder/hooks/jessie/D02backports) (notice the [check-valid-until=no] and apt command line) and setting http_proxy=http://webproxy.eqiad.wmnet:8080 in the environment.

#!/bin/sh

# Avoid running hooks if backports is not specified
if [ "${BACKPORTS}" = "yes" ]; then
	cat > /etc/apt/sources.list.d/jessie-backports.list <<-'EOF'
  deb [check-valid-until=no] http://archive.debian.org/debian jessie-backports main contrib non-free
  deb-src [check-valid-until=no] http://archive.debian.org/debian jessie-backports main contrib non-free
EOF
	cat > /etc/apt/preferences.d/jessie-backports.pref <<-'EOF'
	Package: *
	Pin: release a=jessie-backports
	Pin-Priority: 500
EOF
  apt-get -o Acquire::Check-Valid-Until=false update
fi

Change 499745 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backport: Remove the jessie backport

https://gerrit.wikimedia.org/r/499745

Change 499745 merged by Jbond:
[operations/puppet@production] jessie-backport: Remove the jessie backport

https://gerrit.wikimedia.org/r/499745

Change 499749 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove jessie pinning.

https://gerrit.wikimedia.org/r/499749

Change 499749 merged by Jbond:
[operations/puppet@production] jessie-backports: remove jessie pinning.

https://gerrit.wikimedia.org/r/499749

Change 499751 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove pins files as its redundent

https://gerrit.wikimedia.org/r/499751

Change 499751 merged by Jbond:
[operations/puppet@production] jessie-backports: remove pins files as its redundent

https://gerrit.wikimedia.org/r/499751

Change 499757 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove pins for packages in openstack-mitaka-jessie

https://gerrit.wikimedia.org/r/499757

Change 499757 merged by Jbond:
[operations/puppet@production] jessie-backports: remove pins for packages in openstack-mitaka-jessie

https://gerrit.wikimedia.org/r/499757

Change 499758 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: add components/ci repository

https://gerrit.wikimedia.org/r/499758

Change 499758 merged by Jbond:
[operations/puppet@production] jessie-backports: add components/ci repository

https://gerrit.wikimedia.org/r/499758

Change 499773 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove pining from packages

https://gerrit.wikimedia.org/r/499773

Change 499773 merged by Jbond:
[operations/puppet@production] jessie-backports: remove pining from packages

https://gerrit.wikimedia.org/r/499773

Change 499778 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove pins for jessie-backports

https://gerrit.wikimedia.org/r/499778

Change 499453 abandoned by Jbond:
jessie-backports: Remove unsued pins

Reason:
created as seperate CR's

https://gerrit.wikimedia.org/r/499453

Change 499803 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: create new component for kube2proxy

https://gerrit.wikimedia.org/r/499803

Change 499803 merged by Jbond:
[operations/puppet@production] jessie-backports: create new component for kube2proxy

https://gerrit.wikimedia.org/r/499803

Change 499808 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove redundant pins

https://gerrit.wikimedia.org/r/499808

Change 499815 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: add component/kube2proxy apt repository

https://gerrit.wikimedia.org/r/499815

Change 499815 merged by Jbond:
[operations/puppet@production] jessie-backports: add component/kube2proxy apt repository

https://gerrit.wikimedia.org/r/499815

Change 499778 merged by Jbond:
[operations/puppet@production] jessie-backports: remove pins for jessie-backports

https://gerrit.wikimedia.org/r/499778

Change 499505 merged by Jbond:
[operations/puppet@production] jessie-backports: warn users if they try to use backports on jessie

https://gerrit.wikimedia.org/r/499505

jbond closed this task as Resolved.Apr 4 2019, 2:03 PM

Change 499808 merged by Jbond:
[operations/puppet@production] jessie-backports: remove redundant pins

https://gerrit.wikimedia.org/r/499808